[PATCH v2] libnl: Document how to configure for libnl 2.0 and 3.2.

Jouni Malinen j at w1.fi
Tue Jan 7 08:42:08 EST 2014


On Fri, Jan 03, 2014 at 04:09:22PM -0800, greearb at candelatech.com wrote:
> v2:  Make comment more generic.
> 
>  hostapd/defconfig        |   15 +++++++++++++++
>  wpa_supplicant/defconfig |   15 +++++++++++++++

Thanks, I'll apply this with a bit different text:

> +# driver_nl80211.c requires libnl.  If you are compiling it yourself
> +# you need to point hostapd to your version of libnl
> +#
> +#LIBNLI=${FOO}/3plibs/libnl
> +#LIBNLL=${FOO}/server/local
> +#CFLAGS += -I$(LIBNLI)/include
> +#LIBS += -L$(LIBNLL)/lib

These paths look quite confusing to me since I'd first attempt to
replace the ${FOO} path with libnl installation root directory and that
would result in the paths being incorrect since 3plibs and server/local
here look very much specific to some non-common case (i.e., "make
install" in libnl would not do that by default).

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list